MWAWStream Struct Reference documentation

Public Member Functions | Public Attributes | Protected Attributes | List of all members
MWAWStream Struct Reference

small structure use to store a stream and it debug file More...

`#include <MWAWStream.hxx>`

## Public Member Functions
| MWAWStream (MWAWInputStreamPtr input, libmwaw::DebugFile &ascii)
| constructor with an ascii file More...
| MWAWStream (MWAWInputStreamPtr input)
| constructor without an ascii file More...
| ~MWAWStream ()
| destructor More...
bool | checkPosition (long pos) const
| return true if the position is in the file More...

## Public Attributes
MWAWInputStreamPtr | m_input
| the stream More...
libmwaw::DebugFile & | m_ascii
| the ascii file More...
long | m_bof
| the first position More...
long | m_eof
| the last position More...

## Protected Attributes
libmwaw::DebugFile | m_asciiFile
| the local file(if not, is given) More...

## Detailed Description

small structure use to store a stream and it debug file

## Constructor & Destructor Documentation

## ◆ MWAWStream() [1/2]

MWAWStream::MWAWStream | ( | MWAWInputStreamPtr | input,
|  | libmwaw::DebugFile & | ascii
| ) |  |

constructor with an ascii file

## ◆ MWAWStream() [2/2]

MWAWStream::MWAWStream | ( | MWAWInputStreamPtr | input | ) |
| explicit

constructor without an ascii file

## ◆ ~MWAWStream()

MWAWStream::~MWAWStream | ( |  | ) |

destructor

## Member Function Documentation

## ◆ checkPosition()

bool MWAWStream::checkPosition | ( | long | pos | ) | const
| inline

return true if the position is in the file

## Member Data Documentation

## ◆ m_ascii

libmwaw::DebugFile& MWAWStream::m_ascii

the ascii file

## ◆ m_asciiFile

libmwaw::DebugFile MWAWStream::m_asciiFile
| protected

the local file(if not, is given)

## ◆ m_bof

long MWAWStream::m_bof

the first position

## ◆ m_eof

long MWAWStream::m_eof

the last position

Referenced by checkPosition().

## ◆ m_input

MWAWInputStreamPtr MWAWStream::m_input

the stream

The documentation for this struct was generated from the following files:

- MWAWStream.hxx
- MWAWStream.cxx